
Katello - Bug #4051

Running rake assets:precompile includes bower dev-components and causes error
Status: Closed   
Assignee:    

Category:    
Pull request:    

Description

If you have previously bower installed bastion you get an error when running ```rake assets:precompile```:

```

excluding asset: /home/walden/code/katello/engines/bastion/vendor/assets/dev-components/ngUpload/ng-upload.min.js

rake aborted!

Unexpected token: punc (:) (line: 2, col: 9, pos: 11)

Error

at new JS_Parse_Error (<eval>:2357:10736)

at js_error (<eval>:2357:10955)

at croak (<eval>:2357:18667)

at token_error (<eval>:2357:18804)

at unexpected (<eval>:2357:18892)

at semicolon (<eval>:2357:19365)

at simple_statement (<eval>:2357:21851)

at <eval>:2357:19813

at <eval>:2357:19538

at block_ (<eval>:2357:23938)

(in

/home/walden/code/katello/engines/bastion/vendor/assets/dev-components/ngUpload/ng-upload.min.js.map)/home/walden/.rvm/gem

s/ruby-1.9.3-p392@katello/gems/execjs-2.0.1/lib/execjs/ruby_racer_runtime.rb:34:in `rescue in block in eval'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/execjs-2.0.1/lib/execjs/ruby_racer_runtime.rb:28:in `block in eval'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/execjs-2.0.1/lib/execjs/ruby_racer_runtime.rb:80:in `block in lock'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/execjs-2.0.1/lib/execjs/ruby_racer_runtime.rb:78:in `call'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/execjs-2.0.1/lib/execjs/ruby_racer_runtime.rb:78:in `Locker'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/execjs-2.0.1/lib/execjs/ruby_racer_runtime.rb:78:in `lock'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/execjs-2.0.1/lib/execjs/ruby_racer_runtime.rb:27:in `eval'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/execjs-2.0.1/lib/execjs/ruby_racer_runtime.rb:19:in `exec'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/uglifier-2.2.1/lib/uglifier.rb:176:in `really_compile'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/uglifier-2.2.1/lib/uglifier.rb:100:in `compile'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/actionpack-3.2.13/lib/sprockets/compressors.rb:74:in `compress'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/processing.rb:265:in `block in

js_compressor='

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/processor.rb:29:in `call'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/processor.rb:29:in `evaluate'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/tilt-1.4.1/lib/tilt/template.rb:103:in `render'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/context.rb:193:in `block in evaluate'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/context.rb:190:in `each'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/context.rb:190:in `evaluate'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/bundled_asset.rb:26:in `initialize'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:252:in `new'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:252:in `build_asset'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/index.rb:93:in `block in build_asset'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/caching.rb:19:in `cache_asset'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/index.rb:92:in `build_asset'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:169:in `find_asset'
/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/index.rb:60:in `find_asset'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/actionpack-3.2.13/lib/sprockets/static_compiler.rb:19:in `block in compile'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:219:in `block in each_logical_path'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:206:in `block (2 levels) in each_file'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:196:in `each'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:196:in `each_entry'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:204:in `block in each_file'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:203:in `each'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:203:in `each_file'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/sprockets-2.2.2/lib/sprockets/base.rb:217:in `each_logical_path'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/actionpack-3.2.13/lib/sprockets/static_compiler.rb:18:in `compile'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/actionpack-3.2.13/lib/sprockets/assets.rake:56:in `internal_precompile'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/actionpack-3.2.13/lib/sprockets/assets.rake:70:in `block (3 levels) in <top

(required)>'

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/actionpack-3.2.13/lib/sprockets/assets.rake:60:in `block (3 levels) in <top

(required)>'

caused by: (V8::Error) Unexpected token: punc (:)

at js_error (<eval>:2357:10955)

at croak (<eval>:2357:18667)

at token_error (<eval>:2357:18804)

at unexpected (<eval>:2357:18892)

at semicolon (<eval>:2357:19365)

at simple_statement (<eval>:2357:21851)

at <eval>:2357:19813

at <eval>:2357:19538

at block_ (<eval>:2357:23938)

at <eval>:2357:20202

at <eval>:2357:19538

at <eval>:2357:31211

at parse (<eval>:2357:31420)

at <eval>:19:26

at <eval>:53:3

/home/walden/.rvm/gems/ruby-1.9.3-p392@katello/gems/execjs-2.0.1/lib/execjs/ruby_racer_runtime.rb:29:in `block in eval'

... skipped 65 lines

```

Steps to Reproduce:

1. ```cd engines/bastion```

2. ```bower install``` (note, need bower, grunt, etc. installed first)

3. ```rake assets:precompile```

4. Note error

Created: waldenraines on October 01, 2013 22:03 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/3068

History

#1 - 04/08/2014 06:17 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

Asset generation has changed significantly and this is no longer relevant.

#2 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
